﻿.banner-widget {
  position: relative;
  overflow: hidden; /* this is insurance, we really don't want content to be hidden */
}
.banner-widget__banner-content {
  position: relative;
  vertical-align: middle; /* This removes the whitespace underneath the banner when slick carousel makes it inline-block */
}
@media screen and (max-width: 1050px) {
  .banner-widget__banner-content h1 {
    font-size: 4rem;
    line-height: 1.3;
  }
}
@media screen and (max-width: 650px) {
  .banner-widget__banner-content h1 {
    font-size: 3.45rem;
  }
}
@media screen and (max-width: 550px) {
  .banner-widget__banner-content h1 {
    font-size: 3rem;
  }
}
.banner-widget__banner-content:not([data-learn-more=""]) > .row {
  padding-left: 100px;
}
@media screen and (max-width: 768px) {
  .banner-widget__banner-content:not([data-learn-more=""]) > .row {
    padding-left: 100px;
  }
}
@media screen and (max-width: 550px) {
  .banner-widget__banner-content:not([data-learn-more=""]) > .row {
    padding-left: 40px;
  }
}
.banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more {
  display: block;
  position: absolute;
  top: 0;
  left: 80px;
  width: 100px;
  height: 100%;
  z-index: 1;
}
@media screen and (max-width: 768px) {
  .banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more {
    left: 40px;
  }
}
.banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__dot {
  position: absolute;
  top: calc(160px + 40px);
  width: 11px;
  height: 11px;
  background-color: #90bc4d;
  border-radius: 50%;
  left: 34px;
}
@media screen and (max-width: 550px) {
  .banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__dot {
    display: none;
  }
}
.banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__line {
  position: absolute;
  top: calc(160px + 40px);
  bottom: calc(75px + 100px - 7px);
  left: calc(69px / 2 + 4px);
  width: 1px;
  background-color: #90bc4d;
}
@media screen and (max-width: 550px) {
  .banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__line {
    display: none;
  }
}
.banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__link {
  position: absolute;
  bottom: 75px;
  left: 4px;
  height: 100px;
  text-align: center;
  color: #fff;
  font-size: 0.65rem;
  text-transform: uppercase;
}
.banner-widget__banner-content:not([data-learn-more=""]) .banner-widget__learn-more__link img {
  display: block;
  margin-bottom: 10px;
}
.banner-widget__learn-more {
  display: none;
}
.banner-widget__nav {
  position: absolute;
  bottom: 75px;
  right: calc(80px - 17px);
  width: 415px;
  height: 120px;
  padding: 0 17px 0 12px;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 20px;
  box-shadow: 2px 3px 15px 5px rgba(0, 0, 0, 0.25);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
@media screen and (max-width: 768px) {
  .banner-widget__nav {
    right: calc(40px - 17px);
  }
}
@media screen and (max-width: 620px) {
  .banner-widget__nav {
    bottom: 10px;
    right: 10px;
    left: 10px;
    width: auto;
    height: 40px;
  }
}
.banner-widget__prev, .banner-widget__next {
  width: 20%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center center;
  background-color: transparent;
  border: none;
  padding: 0;
}
.banner-widget__prev {
  background-image: url(../../Images/green-arrow-left.png);
}
.banner-widget__next {
  background-image: url(../../Images/green-arrow-right.png);
}
.banner-widget__title {
  width: 28%;
  padding-right: 10px;
}
.banner-widget__title span {
  display: inline-block;
  position: relative;
  text-transform: uppercase;
  font-weight: 500;
  line-height: 1.5;
  text-shadow: 3px 3px 1.5px rgba(0, 0, 0, 0.4);
  font-size: 0.7rem;
}
.banner-widget__title span:after {
  content: "";
  display: block;
  width: 100%;
  height: 6px;
  background-color: #90bc4d;
  margin-top: 10px;
  box-shadow: 3px 6px 5px 1px rgba(0, 0, 0, 0.2);
}
@media screen and (max-width: 620px) {
  .banner-widget__title span:after {
    display: none;
  }
}
.banner-widget__link {
  width: 30%;
  padding-left: 15px;
}
.banner-widget__link a {
  font-size: 0.7rem;
  display: flex;
  align-items: center;
}
.banner-widget__link a img {
  padding-right: 10px;
}
@media screen and (max-width: 620px) {
  .banner-widget__link a img {
    height: 30px;
  }
}
.banner-widget__link a[href=""] {
  display: none;
}

.home .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more {
  display: none;
}
.home .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
  padding-left: 80px;
}
.home .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40520"],
.home .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40529"],
.home .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40531"],
.home .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40606"] {
  max-width: calc(100% - 415px);
}

.colocation .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.retail-colocation .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.power .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.cooling .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.connectivity .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.security .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.tax-incentives .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more {
  display: none;
}
.colocation .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.retail-colocation .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.power .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.cooling .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.connectivity .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.security .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.tax-incentives .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
  padding-left: 80px;
}
.colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.retail-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.power .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.cooling .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.connectivity .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.security .body-content > .banner-widget .banner-widget__banner-content .fixed-657px,
.tax-incentives .body-content > .banner-widget .banner-widget__banner-content .fixed-657px {
  display: flex;
  align-items: flex-end;
}
.colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.retail-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.power .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.cooling .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.connectivity .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.security .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
.tax-incentives .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row {
  display: flex;
  align-items: flex-end;
  gap: 50px;
  margin-bottom: 50px;
}
.colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.retail-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.power .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.cooling .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.connectivity .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.security .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after,
.tax-incentives .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row:after {
  content: none;
  display: none;
}
@media screen and (max-width: 940px) {
  .colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .retail-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .power .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .cooling .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .connectivity .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .security .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row,
  .tax-incentives .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row {
    flex-direction: column-reverse;
    align-items: flex-start;
  }
}
@media screen and (max-width: 750px) {
  .colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .air-and-water-cooled-solutions .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .wholesale-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .retail-colocation .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .power .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .cooling .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .connectivity .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .security .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"],
  .tax-incentives .body-content > .banner-widget .banner-widget__banner-content .fixed-657px > .row [data-media-id="40536"] {
    display: none;
  }
}

.infrastructure .body-content > .banner-widget [data-dmsbg-media-id="40585"] {
  background-position: bottom center !important;
}

.company .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.our-story .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.leadership-team .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.news-and-events .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more,
.contact-us .body-content > .banner-widget .banner-widget__banner-content .banner-widget__learn-more {
  display: none;
}
.company .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.our-story .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.leadership-team .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.news-and-events .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row,
.contact-us .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
  padding-left: 80px;
}
.company .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40595"] img,
.our-story .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40595"] img,
.leadership-team .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40595"] img,
.news-and-events .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40595"] img,
.contact-us .body-content > .banner-widget .banner-widget__banner-content [data-media-id="40595"] img {
  position: relative;
  right: -93px;
}
.company .body-content > .banner-widget .banner-widget__banner-content .max-width-775,
.our-story .body-content > .banner-widget .banner-widget__banner-content .max-width-775,
.leadership-team .body-content > .banner-widget .banner-widget__banner-content .max-width-775,
.news-and-events .body-content > .banner-widget .banner-widget__banner-content .max-width-775,
.contact-us .body-content > .banner-widget .banner-widget__banner-content .max-width-775 {
  border-left: solid 20px #fff;
  padding-left: 40px;
  margin-left: 10px;
}

/* This is in case the widget is not placed in a .row div */
.body-content > .banner-widget .banner-widget__banner-content > .row {
  padding-left: 80px;
  padding-right: 80px;
}
@media screen and (max-width: 768px) {
  .body-content > .banner-widget .banner-widget__banner-content > .row {
    padding-left: 40px;
    padding-right: 40px;
  }
}
.body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
  padding-left: calc(80px + 100px);
}
@media screen and (max-width: 768px) {
  .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
    padding-left: calc(40px + 100px);
  }
}
@media screen and (max-width: 550px) {
  .body-content > .banner-widget .banner-widget__banner-content:not([data-learn-more=""]) > .row {
    padding-left: 40px;
  }
}
